List your additional IPs, on servers and parked
curl --request GET \
--url https://api.storiza.store/vps-additional-ips/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps-additional-ips/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-additional-ips/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Additional IPs retrieved",
"data": [
{
"id": "<string>",
"address": "<string>",
"netmask": "<string>",
"gateway": "<string>",
"node": "<string>",
"vpsId": "<string>",
"vps": {
"id": "<string>",
"name": "<string>"
},
"attachedAt": "2023-12-25",
"createdAt": "2023-12-25",
"isGrant": true,
"isUsable": true,
"monthlyPrice": 123,
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-11-07T00:49:15.374Z",
"supportsManagement": false,
"metadata": {},
"stopAutoRenew": false
},
"releaseDeadline": "2023-12-25"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Server additional IPs
List your additional IPs, on servers and parked
Every additional IP you hold: on a server (vpsId set) or parked (vpsId: null, kept and billed after its server was deleted, waiting to be attached with POST /vps-additional-ips/:id/move). Each carries its address, netmask, gateway, subscription and, for an unpaid one, releaseDeadline. Supports pagination and filtering by vpsId.
Required API key permission: vps:read
GET
/
vps-additional-ips
/
List your additional IPs, on servers and parked
curl --request GET \
--url https://api.storiza.store/vps-additional-ips/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps-additional-ips/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-additional-ips/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Additional IPs retrieved",
"data": [
{
"id": "<string>",
"address": "<string>",
"netmask": "<string>",
"gateway": "<string>",
"node": "<string>",
"vpsId": "<string>",
"vps": {
"id": "<string>",
"name": "<string>"
},
"attachedAt": "2023-12-25",
"createdAt": "2023-12-25",
"isGrant": true,
"isUsable": true,
"monthlyPrice": 123,
"subscription": {
"id": "00000000-0000-4000-8000-000000000000",
"status": "active",
"user": {
"id": "00000000-0000-4000-8000-000000000000"
},
"provider": "balance",
"method": "balance",
"amount": "12",
"currency": "USD",
"durationDays": 30,
"currentPeriodEnd": "2026-11-07T00:49:15.374Z",
"supportsManagement": false,
"metadata": {},
"stopAutoRenew": false
},
"releaseDeadline": "2023-12-25"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Authorizations
Query Parameters
Was this page helpful?